<?php
/**
 * Plugin Name: BJJ Heroes 
 * Description: This plugin to add bjj fighters
 * Version: 1.0.0
 * Author: Ismail Khan Mohammad
 * Author URI: http://ismailkm.com/
 * License: GPL2
 */
defined( 'ABSPATH' ) or die(  );
/*********************
 * GLOBAL VARIABLES
 *********************/
$prefix        = "bjj_";
$plugin_name   = "BJJ Heroes";
$includes_path = dirname( __FILE__ ) . '/includes/';
$css_path      = plugin_dir_url( __FILE__ ) . 'css/';
$js_path       = plugin_dir_url( __FILE__ ) . 'javascript/';

$bjj_admin_menu    = 'bjj';
/*********************
 * INCLUDES
 *********************/


include($includes_path."scripts.php");
include($includes_path."data-processing.php");
include($includes_path."option-page.php");//this conroll all savings of data processings
include($includes_path."autoload-classes.php");//add custom post types

function bjj_fighters_template($single_template) {
    global $post;

    /*if (has_term( '', 'bjj-fighters')) {
       $single_template = dirname( __FILE__ ) . '/templates/single-fighter.php';
    }/*

  */
    if ( in_category( 'bjj-fighters' )) {
       $single_template = dirname( __FILE__ ) . '/templates/single-fighter.php';
    }
     return $single_template;
}

add_filter( "single_template", "bjj_fighters_template" ) ;



/*register_activation_hook( __FILE__, 'inserting_fighter_taxonomy' );

function inserting_fighter_taxonomy(){
    global $wpdb;
    $wpdb->insert('wp_terms', array(
        'name' => 'BJJ Fighters',
        'slug' => 'bjj-fighters',
    ));

    $wpdb->insert('wp_term_taxonomy', array(
        'term_id' => $wpdb->insert_id,
        'taxonomy' => 'bjj-fighters',
    ));


}*/


/******************
 * add plugin admin menu
 */
function bjj_admin_menu() {
    global $bjj_admin_menu;
    add_menu_page(
        'Bjj Heroes',
        'Bjj Heroes',
        'read',
        $bjj_admin_menu,
        'bjj_plugin_options', // Callback, leave empty
        'dashicons-shield',
        61 // Position
    );
}

add_action( 'admin_menu', 'bjj_admin_menu' );

function bjj_plugin_options()
{
?>
    <h2 style='text-align:center;margin-top:230px;font-size:80px; line-height: 80px'>
        Brazilian jiu-jitsu Heroes Information
    </h2>
<?php
}