<?php

/*
 * CLASS belts
 */

class BJJ_belts{

    public $pural_name      = "Belts";
    public $singular_name   = "Belt";
    public $post_type       = "belts";
    public $bjj_admin_menu  = '';

    public function __construct($menu_name)
    {
        $this->bjj_admin_menu  = $menu_name;
        $this->bbj_register_post_type();
    }

    public function bbj_register_post_type()
    {

        $labels = array(
            'name'               => _x( $this->pural_name, 'post type general name', 'your-plugin-textdomain' ),
            'singular_name'      => _x( $this->singular_name, 'post type singular name', 'your-plugin-textdomain' ),
            'menu_name'          => _x( $this->pural_name, 'admin menu', 'your-plugin-textdomain' ),
            'name_admin_bar'     => _x( $this->singular_name, 'add new on admin bar', 'your-plugin-textdomain' ),
            'add_new'            => _x( 'Add New', $this->singular_name , 'your-plugin-textdomain' ),
            'add_new_item'       => __( 'Add New '.$this->singular_name, 'your-plugin-textdomain' ),
            'new_item'           => __( 'New '.$this->singular_name, 'your-plugin-textdomain' ),
            'edit_item'          => __( 'Edit '.$this->singular_name, 'your-plugin-textdomain' ),
            'view_item'          => __( 'View '.$this->singular_name, 'your-plugin-textdomain' ),
            'all_items'          => __( ' '.$this->pural_name, 'your-plugin-textdomain' ),
            'search_items'       => __( 'Search '.$this->pural_name, 'your-plugin-textdomain' ),
            'parent_item_colon'  => __( 'Parent '.$this->pural_name.':', 'your-plugin-textdomain' ),
            'not_found'          => __( 'No '.$this->pural_name.' found.', 'your-plugin-textdomain' ),
            'not_found_in_trash' => __( 'No '.$this->pural_name.' found in Trash.', 'your-plugin-textdomain' )
        );

        $args = array(
            'labels'             => $labels,
            'description'        => __( 'Description.', 'your-plugin-textdomain' ),
            'public'             => true,
            'publicly_queryable' => true,
            'show_ui'            => true,
            'show_in_menu'       => $this->bjj_admin_menu,
            'show_in_nav_menus'  => true,
            'query_var'          => true,
            'rewrite'            => array( 'slug' => strtolower($this->ingular_name) ),
            'capability_type'    => 'post',
            'has_archive'        => true,
            'hierarchical'       => false,
            'menu_position'      => null,
            'supports'           => array( 'title')
        );

        register_post_type( $this->post_type, $args );
    }



}


