<?php

function bjj_options_page()
{
    $target = site_url()."/wp-content/plugins/bjj-heroes/includes/upload-file.php";
    ?>
    <div class="wrap">
        <h2>Import Data</h2>

        <div class="upload-form">
            <label>Age Data </label>
            <input type="file" class="upload-data" name="file-upload4" id="file-upload-agedata" />
            <button class="button button-primary import-data" id="file-upload-agedata_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Weight Data </label>
            <input type="file" class="upload-data" name="file-upload5" id="file-upload-weightdata" />
            <button class="button button-primary import-data" id="file-upload-weightdata_1">Import Data</button>
        </div>
        <div class="upload-form">
            <label>Belts Data </label>
            <input type="file" class="upload-data" name="file-upload7" id="file-upload-beltsdata" />
            <button class="button button-primary import-data" id="file-upload-beltsdata_1">Import Data</button>
        </div>
        <div class="upload-form">
            <label>Positions</label>
            <input type="file" class="upload-data" name="file-upload9" id="file-upload-Positions" />
            <button class="button button-primary import-data" id="file-upload-Positions_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Team Data </label>
            <input type="file" class="upload-data" name="file-upload2" id="file-upload-teamdata" />
            <button class="button button-primary import-data" id="file-upload-teamdata_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Tournament Data </label>
            <input type="file" class="upload-data" name="file-upload6" id="file-upload-tournamentdata" />
            <button class="button button-primary import-data" id="file-upload-tournamentdata_1">Import Data</button>
        </div>
        <div class="upload-form">
            <label>Tournament Events Data </label>
            <input type="file" class="upload-data" name="file-upload8" id="file-upload-toureventdata" />
            <button class="button button-primary import-data" id="file-upload-toureventdata_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Fighter Data</label>
            <input type="file" class="upload-data" name="file-upload1" id="file-upload-fighterdata" />
            <button class="button button-primary import-data" id="file-upload-fighterdata_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Fighter Achievements </label>
            <input type="file" class="upload-data" name="file-upload3" id="file-upload-achievementsdata" />
            <button class="button button-primary import-data" id="file-upload-achievementsdata_1">Import Data</button>
        </div>

        <div class="upload-form">
            <label>Lineage Data </label>
            <input type="file" class="upload-data" name="file-upload9" id="file-upload-lineagedata" />
            <button class="button button-primary import-data" id="file-upload-lineagedata_1">Import Data</button>
        </div>

    </div>

    <script type="text/javascript">
        jQuery(document).ready(function($){
            $('.upload-data').on('change', function() {
                var id = $(this).attr('id');
                var file_data = $('#'+id).prop('files')[0];
                var form_data = new FormData();
                form_data.append('file', file_data);
                form_data.append('upload-source', id);
                $.ajax({
                    url: '<?php echo $target;?>', // point to server-side PHP script
                    dataType: 'text',  // what to expect back from the PHP script, if anything
                    cache: false,
                    contentType: false,
                    processData: false,
                    data: form_data,
                    type: 'post',
                    success: function(php_script_response){
                        //alert(php_script_response); // display response from the PHP script, if any
                    }
                });
            });

            $('.import-data').on('click',function(e){
                e.stopImmediatePropagation();
                e.preventDefault();
                var import_id = $(this).attr('id');
                $.ajax({
                    url: '<?php echo $target;?>', // point to server-side PHP script
                    data: 'my_data='+import_id,
                    type: 'post',
                    success: function(php_script_response){
                        alert(php_script_response); // display response from the PHP script, if any
                    }
                });

            });

        });

    </script>


    <?php
    echo ob_get_clean();
}


function ajax_file_upload(){?>

    <?php
}

function get_my_url(){
    return get_site_url()."/wp-content/plugins/bjj-heroes/excel-files";
}

function bjj_add_options_link()
{
    add_options_page('BJJ plugin settings page', 'BJJ Settings', 'manage_options', 'bjj-options','bjj_options_page');
}

add_action('admin_menu','bjj_add_options_link');