<?php
/*********************
 * SCRIPTS
 *********************/

/*
 * FRONTEND SCRIPTS
 */
function bjj_load_frontend_scripts()
{      
    global $css_path;
    if(is_single())
    {
        wp_enqueue_style('bjj-style',  $css_path."bjj_style.css");
    }
}

add_action('wp_enqueue_scripts','bjj_load_frontend_scripts');


/*
 * ADMIN PANEL SCRIPTS
 */
function bjj_admin_scripts() {
    global $css_path; 
    global $js_path;
    
    wp_enqueue_style('bjj-admin-style',  $css_path."bjj_admin_style.css");
    wp_enqueue_style('thickbox');
    
    wp_enqueue_script('media-upload');
    wp_enqueue_script('thickbox');
    
    
    wp_enqueue_script('bjj-admin-script',  $js_path."bjj-script.js");

}
add_action( 'admin_init', 'bjj_admin_scripts' );