<?php

// function get Fighter coaches
function get_coaches($FighterID,&$coaches_array){
    global $wpdb;


    $querystr = "SELECT $wpdb->posts.post_title, $wpdb->postmeta.*
            FROM $wpdb->posts, $wpdb->postmeta
            WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id
            AND $wpdb->posts.post_status = 'publish'
            AND $wpdb->posts.post_type = 'lineage'
            AND $wpdb->postmeta.meta_value = $FighterID
            AND $wpdb->postmeta.meta_key = 'bjj_Fighter_ID' ";
    $pageposts = $wpdb->get_results($querystr, OBJECT);

    foreach($pageposts as $fighter){
        $get_fighter = get_post_meta($fighter->post_id);
        array_push($coaches_array,$get_fighter['bjj_Coach_ID'][0]);
    }
}




// function for getting lineage post ID of a fighter
function get_lineage($FighterID='', &$arr){
    global $wpdb;
    $querystr = "SELECT $wpdb->posts.post_title, $wpdb->postmeta.*
            FROM $wpdb->posts, $wpdb->postmeta
            WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id
            AND $wpdb->posts.post_status = 'publish'
            AND $wpdb->posts.post_type = 'lineage'
            AND $wpdb->postmeta.meta_value = $FighterID
            AND $wpdb->postmeta.meta_key = 'bjj_Fighter_ID' ";
    $pageposts = $wpdb->get_results($querystr, OBJECT);

    if($pageposts[0]->post_id){
        get_Coach($pageposts[0]->post_id, $arr);
    }else{
        return false;
    }
}


// getting Coach ID on the basis of lineage post ID.
function get_Coach($get_lineage_post_id, &$arr){
    global $wpdb;
    $query_lineage = "SELECT $wpdb->postmeta.* FROM $wpdb->postmeta WHERE $wpdb->postmeta.post_id = $get_lineage_post_id AND $wpdb->postmeta.meta_key = 'bjj_Coach_ID'";
    $lineage_query = $wpdb->get_results($query_lineage, OBJECT);
    if($lineage_query[0]->meta_value){
        array_push($arr,$lineage_query[0]->meta_value);
        get_lineage($lineage_query[0]->meta_value, $arr);
    }else{
        return false;
    }
}



// function for getting Black Belt By
function get_black_belts($FighterID='', &$arr){
    global $wpdb;
    $querystr = "SELECT $wpdb->posts.post_title, $wpdb->postmeta.*
            FROM $wpdb->posts, $wpdb->postmeta
            WHERE $wpdb->posts.ID = $wpdb->postmeta.post_id
            AND $wpdb->posts.post_status = 'publish'
            AND $wpdb->posts.post_type = 'lineage'
            AND $wpdb->postmeta.meta_value = $FighterID
            AND $wpdb->postmeta.meta_key = 'bjj_Coach_ID' ";
    $pageposts = $wpdb->get_results($querystr, OBJECT);
    if($pageposts[0]->post_id){
        get_fighter_of_coach($pageposts[0]->post_id, $arr);
    }else{
        return false;
    }
}


// getting Coach ID on the basis of lineage post ID.
function get_fighter_of_coach($get_lineage_post_id, &$arr){
    global $wpdb;
    $query_lineage = "SELECT $wpdb->postmeta.* FROM $wpdb->postmeta WHERE $wpdb->postmeta.post_id = $get_lineage_post_id AND $wpdb->postmeta.meta_key = 'bjj_Fighter_ID'";
    $lineage_query = $wpdb->get_results($query_lineage, OBJECT);
    if($lineage_query[0]->meta_value){
        array_push($arr,$lineage_query[0]->meta_value);
        get_black_belts($lineage_query[0]->meta_value, $arr);
    }else{
        return false;
    }
}
